<!DOCTYPE html>
<html lang="ru">
<head>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width">
    <title>Моя страница</title>
    <script>

        function Click1() {
            let f = document.getElementsByName("Price1");
            if(f[0].value>0 && f[0].value<11){
                let v = document.getElementById("ErrorK");
                v.style.display = "none";
                let s = document.getElementById("Keyboard");
                s.style.display = "block";
                s = document.getElementById("KeyboardPrice");
                s.innerHTML = f[0].value;
            }
            else{
                let s = document.getElementById("ErrorK");
                s.style.display = "block";
                let v = document.getElementById("Keyboard");
                v.style.display = "none";
                s = document.getElementById("KeyboardPrice");
                s.innerHTML = 0;
            }
            return false;
        }

        function Click2() {
            let f = document.getElementsByName("Price2");
            if(f[0].value>0 && f[0].value<11){
                let v = document.getElementById("ErrorM");
                v.style.display = "none";
                let s = document.getElementById("Mouse");
                s.style.display = "block";
                s = document.getElementById("MousePrice")
                s.innerHTML = f[0].value;
            }
            else{
                let s = document.getElementById("ErrorM");
                s.style.display = "block";
                let v = document.getElementById("Mouse");
                v.style.display = "none";
                s = document.getElementById("MousePrice");
                s.innerHTML = 0;
            }
            return false;
        }

        function Click3() {
            let f = document.getElementsByName("Price3");
            if(f[0].value>0 && f[0].value<11){
                let v = document.getElementById("ErrorC");
                v.style.display = "none";
                let s = document.getElementById("Columns");
                s.style.display = "block";
                s = document.getElementById("ColumnsPrice")
                s.innerHTML = f[0].value;
            }
            else{
                let s = document.getElementById("ErrorC");
                s.style.display = "block";
                let v = document.getElementById("Columns");
                v.style.display = "none";
                s = document.getElementById("ColumnsPrice");
                s.innerHTML = 0;
            }
            return false;
        }


        function show(){
            let sh = document.getElementById("Cart");
            if(sh.style.display == "none")sh.style.display = "block";
            else sh.style.display = "none";
            return false;
        }

        function itog(){
            let a = document.getElementById("resultDiv");
            a.style.display = "block";
            let sum = KeyboardPrice.innerHTML * 2000 + MousePrice.innerHTML * 1000 + ColumnsPrice.innerHTML * 1500;
            let res = document.getElementById("result");
            res.innerHTML = sum;
            return false;
        }

        document.addEventListener("DOMContentLoaded", show);
    </script>
</head>
<body class="container-fluid color1 p-0 m-0">
    <div class="row m-0 p-3 color2">
        <div class="d.d-inline-block flex-fill m-1 color4">
            <img class="float-left" src="pictures/logo.png" alt="Логотип" width="100px" height="100px">
            <img class="float-right" src="pictures/cart.png" alt="Корзина" width="100px" height="100px" onclick="return show()">
            <h1 class="">Самый лучший сайт</h1>
        </div>
    </div>
    <div class="row m-0 justify-content-center min-vh-100">
        <div class="col col-lg my-2"></div>
        <div class="d-flex flex-column col-12 col-lg-7 my-2 p-3 color2">
            <div class="row m-2 p-2 align-self-center">
                <a href="index.html"><img src="pictures/Return.jpg" width="305" height="90" alt="картинка0"></a>
            </div>
            <div class="m-2 p-2 text-center"><h2>Товары</h2></div>
            <div class="row my-2">
                <div class="col-5 align-self-center">
                    <img src="pictures/Keyboard.jpg" alt="Keyboard" width="300px" height="170px">
                </div>
                <div class="col-auto">
                    <h5>Клавиатура</h5>
                    Цена: 2000руб.<br>
                    Введите количество товара.<br>
                    <form>
                        <input name="Price1" type="number">
                        <button id="button1" onclick="return Click1();">Подтвердить</button>
                    </form>
                    <div id="ErrorK" class="text-danger" style="display: none;">Недопустимое количество товара(разрешено от 1 до 10)</div>
                </div>
            </div>
            <div class="row my-2">
                <div class="col-5 align-self-center">
                    <img src="pictures/Mouse.jpg" alt="Mouse" width="300px" height="300px">
                </div>
                <div class="col-auto">
                    <h5>Мышь</h5>
                    Цена: 1000руб.<br>
                    Введите количество товара.<br>
                    <form>
                        <input name="Price2" type="number">
                        <button id="button2" onclick="return Click2();">Подтвердить</button>
                    </form>
                    <div id="ErrorM" class="text-danger" style="display: none;">Недопустимое количество товара(разрешено от 1 до 10)</div>
                </div>
            </div>
            <div class="row my-2">
                <div class="col-5 align-self-center">
                    <img src="pictures/Columns.jpg" alt="Columns" width="300px" height="300px">
                </div>
                <div class="col-auto">
                    <h5>Колонки</h5>
                    Цена: 1500 руб.<br>
                    Введите количество товара.<br>
                    <form>
                        <input name="Price3" type="number">
                        <button id="button3" onclick="return Click3();">Подтвердить</button>
                    </form>
                    <div id="ErrorC" class="text-danger" style="display: none;">Недопустимое количество товара(разрешено от 1 до 10)</div>
                </div>
            </div>


        </div>  
        <div class="col col-lg my-2">
            <div id="Cart" class="color2 p-2">
                <div class="m-1 p-1 text-center"><h2>Корзина</h2></div>
                <div id="Keyboard" class="m-1 p-1" style="display: none;">
                    Клавиатура.<br>
                    Цена: 2000 руб.<br>
                    Количество: <span id="KeyboardPrice"></span>
                </div>
                <div id="Mouse" class="m-1 p-1" style="display: none;">
                    Мышь.<br>
                    Цена: 1000 руб.<br>
                    Количество:<span id="MousePrice"></span>
                </div>
                <div id="Columns" class="m-1 p-1" style="display: none;">
                    Колонки.<br>
                    Цена: 1500 руб.<br>
                    Количество:<span id="ColumnsPrice"></span>
                </div>
                <div class="text-center">
                    <button id="button4" onclick="return itog();">Показать итог</button>
                </div><br>
                <div id="resultDiv" style="display: none;">Итог:<span id="result"></span><br></div>
            </div>
        </div>
    </div> 
    <div class="row m-0 py-4 px-5 color2">
        <div class="row d.d-inline-block flex-fill color4">Подвал</div>
    </div>
</body>
</html>


